import { Collection, EntityHydrator, ID, Product, ProductVariant, TransactionalConnection } from '@vendure/core';
import { StellatePluginOptions } from '../types';
declare type CachedType = 'Product' | 'ProductVariant' | 'Collection' | 'SearchResponse' | 'SearchResult' | 'SearchResponseCacheIdentifier' | string;
export declare class StellateService {
    private options;
    private connection;
    private entityHydrator;
    private readonly purgeApiUrl;
    constructor(options: StellatePluginOptions, connection: TransactionalConnection, entityHydrator: EntityHydrator);
    purgeProducts(products: Product[]): Promise<void>;
    purgeProductVariants(productVariants: ProductVariant[]): Promise<void>;
    purgeSearchResults(items: Array<ProductVariant | Product>): Promise<void>;
    purgeAllOfType(type: CachedType): Promise<void>;
    purgeCollections(collections: Collection[]): Promise<void>;
    purgeSearchResponseCacheIdentifiers(collections: Collection[]): Promise<void>;
    purge(type: CachedType, keys?: ID[], keyName?: string): Promise<void>;
}
export {};
