import { OnApplicationBootstrap } from '@nestjs/common';
import { ModuleRef } from '@nestjs/core';
import { EventBus } from '@vendure/core';
import { StellatePluginOptions } from './types';
import { StellateService } from './service/stellate.service';
/**
 * @description
 * A plugin to integrate Stellate's GraphQL caching service with your Vendure server.
 * The main purpose of this plugin is to ensure that cached data gets correctly purged in
 * response to events inside Vendure. For example, changes to a Product's description should
 * purge any associated record for that Product in Stellate's cache.
 */
export declare class StellatePlugin implements OnApplicationBootstrap {
    private options;
    private eventBus;
    private stellateService;
    private moduleRef;
    static options: StellatePluginOptions;
    static init(options: StellatePluginOptions): typeof StellatePlugin;
    constructor(options: StellatePluginOptions, eventBus: EventBus, stellateService: StellateService, moduleRef: ModuleRef);
    onApplicationBootstrap(): void;
}
